import org.junit.Test;

import java.time.LocalDate;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;

import static org.junit.Assert.*;

public class PersonTest {
    LocalDate bday = LocalDate.of(1995,8,8);
    Person p = new Person("shiva", Person.Sex.MALE, bday, "shiv@temple.edu");
    List<Person> list;
    @org.junit.Test
    public void getAge() {
        int expected = 23;
        int actual = p.getAge();
        assertEquals(expected,actual);
    }

    @org.junit.Test
    public void getName() {
        String expected = "shiva";
        String actual = p.getName();
        assertEquals(expected,actual);
    }

    @org.junit.Test
    public void getGender() {
        Person.Sex expected = Person.Sex.MALE;
        Person.Sex actual = p.getGender();
        assertEquals(expected,actual);
    }

    @org.junit.Test
    public void getBirthday() {
        LocalDate expected = bday;
        LocalDate actual = p.getBirthday();
        assertEquals(expected,actual);

    }

    @org.junit.Test
    public void getEmailAddress() {
        String expected = "shiv@temple.edu";
        String actual = p.getEmailAddress();
        assertEquals(expected,actual);
    }

    @org.junit.Test
    public void printPerson() {
        String expected = "shiva shiv@temple.edu";
        String actual = p.getName() + " " + p.getEmailAddress();
        assertEquals(expected,actual);

    }

    @Test
    public void printPersons() {
       Person p1 = new Person("shiv", Person.Sex.MALE, bday, "shiv@temple.edu");
       Person P2 = new Person("bob", Person.Sex.MALE, bday, "bob@temple.edu");
       list.add(p1);
       list.add(P2);

    }
}